//  Persistance of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 1 lights, 3 materials and 3 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.1 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 03/11/1999    (11.03.1999)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  0.2*<     -15.141,      -30.423,       15.598>
//location <0,10,0>
  direction <        0.0,         0.0,      1.8317> // Aperture is 0.53 degrees
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33333,         0.0,         0.0> // Aspect ratio
  look_at   <      -1.0,       2.000,       1>
}

//
// *******  L I G H T S *******
//

light_source {   // Light1
  <0.000, -20.000, 20.000>
  color rgb <1.000, 1.000, 1.000>
}


//  Moray V3.1 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//
// ********  MATERIALS  *******
//

//#include "Hilbert.inc"
#include "Hilbert.mat"


//
// ********  REFERENCED OBJECTS  *******
//




#declare _SG_leaf1 =
union {
   cylinder { <0,0,0>, y*0.75, 0.05 }
   sphere { y*0.0, 0.25
   material {CuivrePur}//      pigment { color <1,0,0> }
   }
}

#declare Hilbert = union {
   #include "hilbert.inc"   
   material {CuivrePur}
   //rotate< 0,00,0>
   scale 0.7
}                         

object {Hilbert
scale .1
}
 

object {Hilbert
scale .1
rotate <90, 0, 0>
} 

object {Hilbert
translate < 0,0,-22>
scale .1
rotate <90, 0, 0>
}
     
     
     

object {Hilbert
translate <0, 0, 22>
scale .1
}
  
  
  
object {Hilbert
rotate <0,90,0>
scale .1
}  

object {Hilbert
translate <0,0,-22>
rotate <0,90,0>
scale .1
}  
 


sphere { // Sphere001
  <0,0,0>,1
  material {
    Ciel
  }
  scale 1000.0
}


   

